import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { twMerge } from "tailwind-merge";
import { mergeDeep } from "../../helpers/merge-deep";
import { getTheme } from "../../theme-store";
export const ListItem = ({ children, className, icon: Icon, theme: customTheme = {}, ...props }) => {
    const theme = mergeDeep(getTheme().list.item, customTheme);
    return (_jsxs("li", { className: twMerge(theme.withIcon[Icon ? "on" : "off"], className), ...props, children: [Icon && _jsx(Icon, { className: twMerge(theme.icon) }), children] }));
};
